diff --git a/web/package.json b/web/package.json
index 8e7fee341..3c65046da 100644
--- a/web/package.json
+++ b/web/package.json
@@ -5,9 +5,9 @@
     "babel-preset-es2015": "~6.24.0",
     "babel-preset-react": "~6.23.0",
     "cross-env": "^5.0.1",
+    "eclint": "^2.3.0",
     "enzyme": "~2.8.2",
     "enzyme-matchers": "^3.1.0",
-    "eclint": "^2.3.0",
     "eslint": "3.19.0",
     "eslint-plugin-react": "^6.10.3",
     "extract-text-webpack-plugin": "^2.1.2",
@@ -51,7 +51,6 @@
     "bignumber.js": "^4.0.2",
     "bootstrap": "^3.3.7",
     "bootstrap-datepicker": "^1.7.0",
-    "bootstrap-datetime-picker": "^2.4.4",
     "bootstrap-switch": "3.3.2",
     "bowser": "1.6.1",
     "browserify": "~14.1.0",
@@ -59,6 +58,7 @@
     "css-loader": "0.14.0",
     "cssnano": "^3.10.0",
     "dropzone": "^5.1.1",
+    "eonasdan-bootstrap-datetimepicker": "^4.17.47",
     "exports-loader": "~0.6.4",
     "flotr2": "^0.1.0",
     "font-awesome": "^4.7.0",
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/schedules/static/js/pga_schedule.js b/web/pgadmin/browser/server_groups/servers/pgagent/schedules/static/js/pga_schedule.js
index c045ec557..b2b2518e9 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/schedules/static/js/pga_schedule.js
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/schedules/static/js/pga_schedule.js
@@ -264,7 +264,7 @@ define('pgadmin.node.pga_schedule', [
         },{
           id: 'jscstart', label: gettext('Start'), type: 'text',
           control: 'datetimepicker', cell: 'moment',
-          disabled: function() { return false; },
+          disabled: function() { return false; }, displayInUTC: false,
           displayFormat: 'YYYY-MM-DD HH:mm:ss Z',
           modelFormat: 'YYYY-MM-DD HH:mm:ss Z', options: {
             format: 'YYYY-MM-DD HH:mm:ss Z',
diff --git a/web/pgadmin/static/css/style.css b/web/pgadmin/static/css/style.css
index 7d651925b..3b6a1f3f9 100644
--- a/web/pgadmin/static/css/style.css
+++ b/web/pgadmin/static/css/style.css
@@ -5,7 +5,7 @@
 @import '~font-awesome/css/font-awesome.css';
 @import '~font-mfizz/font/font-mfizz.css';
 @import '~bootstrap-datepicker/dist/css/bootstrap-datepicker3.css';
-@import '~bootstrap-datetime-picker/css/bootstrap-datetimepicker.css';
+@import '~eonasdan-bootstrap-datetimepicker/build/css/bootstrap-datetimepicker.css';
 @import '~bootstrap-switch/dist/css/bootstrap3/bootstrap-switch.css';
 @import '~backgrid-select-all/backgrid-select-all.css';
 @import '~backgrid-filter/backgrid-filter.css';
@@ -34,4 +34,4 @@
 @import '../../tools/sqleditor/static/css/sqleditor.css';
 @import '../../misc/static/explain/css/explain.css';
 @import '../../misc/bgprocess/static/css/bgprocess.css';
-@import '../../misc/static/explain/css/explain.css';
\ No newline at end of file
+@import '../../misc/static/explain/css/explain.css';
diff --git a/web/webpack.shim.js b/web/webpack.shim.js
index f116570d6..1f5b90ef1 100644
--- a/web/webpack.shim.js
+++ b/web/webpack.shim.js
@@ -150,7 +150,7 @@ var webpackShimConfig = {
     'backbone.undo': path.join(__dirname, './node_modules/backbone-undo/Backbone.Undo'),
     'backform': path.join(__dirname, './node_modules/backform/src/backform'),
     'backgrid': path.join(__dirname, './node_modules/backgrid/lib/backgrid'),
-    'bootstrap.datetimepicker': path.join(__dirname, './node_modules/bootstrap-datetime-picker/js/bootstrap-datetimepicker'),
+    'bootstrap.datetimepicker': path.join(__dirname, './node_modules/eonasdan-bootstrap-datetimepicker/build/js/bootstrap-datetimepicker.min'),
     'bootstrap.switch': path.join(__dirname, './node_modules/bootstrap-switch/dist/js/bootstrap-switch'),
     'select2': path.join(__dirname, './node_modules/select2/dist/js/select2.full'),
     'backgrid.filter': path.join(__dirname, './node_modules/backgrid-filter/backgrid-filter'),
